package haveubreak;

import java.io.Serializable;
import org.jgroups.Address;

public class GroupMember implements Serializable {

	private static final long serialVersionUID = 8517248503746590188L;

	private String userName;

    private String nickName;
    
    private Address addr;
    
    private Statut statut;

    public GroupMember(Address a) {
        this.userName = null;
        this.statut = null;
        this.addr = a;
    }
    
    public String getUserName() {
        return userName;
    }

    public boolean isNamed() {
        return userName != null;
    }

    public void setUserName(String name) {
        this.userName = name;
    }

    public Address getAddr() {
        return addr;
    }

    public void setAddr(Address addr) {
        this.addr = addr;
    }

    public Statut getStatut() {
        return statut;
    }

    public void setStatut(Statut statut) {
        this.statut = statut;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    @Override
    public String toString() {
        if (getNickName() != null) return getNickName();
        if (userName != null) return userName;
        return addr.toString();
    }
    
}
