package haveubreak;

public class Configuration {
    
    private String userName = System.getProperty("user.name", null);
    
    private String jgroupsConfig = "haveubreak/jgroups/udp.xml";
    
    private String channelName = "Default HaveuBreak channel";

    private String applicationName = "Haveu Break";
    
    private boolean showTrayPopupDemandes = true;
    private boolean showTrayPopupDeparts = true;
    private boolean showTrayPopupRetours = true;
    
    private boolean minimizeInTray = true;

    private String nickName = System.getProperty("user.name", null);

    public String getChannelName() {
        return channelName;
    }

    public void setChannelName(String channelName) {
        this.channelName = channelName;
    }

    public boolean isMinimizeInTray() {
        return minimizeInTray;
    }

    public void setMinimizeInTray(boolean minimizeInTray) {
        this.minimizeInTray = minimizeInTray;
    }

    public String getJgroupsConfig() {
        return jgroupsConfig;
    }

    public void setJgroupsConfig(String jgroupsConfig) {
        this.jgroupsConfig = jgroupsConfig;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public boolean isShowTrayPopupDemandes() {
        return showTrayPopupDemandes;
    }

    public void setShowTrayPopupDemandes(boolean showTrayPopupDemandes) {
        this.showTrayPopupDemandes = showTrayPopupDemandes;
    }

    public boolean isShowTrayPopupDeparts() {
        return showTrayPopupDeparts;
    }

    public void setShowTrayPopupDeparts(boolean showTrayPopupDeparts) {
        this.showTrayPopupDeparts = showTrayPopupDeparts;
    }

    public String getApplicationName() {
        return applicationName;
    }

    public void setApplicationName(String applicationName) {
        this.applicationName = applicationName;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public boolean isShowTrayPopupRetours() {
        return showTrayPopupRetours;
    }

    public void setShowTrayPopupRetours(boolean showTrayPopupRetours) {
        this.showTrayPopupRetours = showTrayPopupRetours;
    }

}
